# 数据库的配置信息
import os
class Config():
    #配置mysql参数
    MYSQL_DIALCET='mysql'
    MYSQL_DIRVER='pymysql'
    MYSQL_NAME='root'
    MYSQL_PWD='123456'
    MYSQL_HOST='localhost'
    MYSQL_PORT='3306'
    MYSQL_DB='flask_shop'
    MYSQL_CHARSET='utf8mb4'

    SQLALCHEMY_DATABASE_URI=f"{MYSQL_DIALCET}+{MYSQL_DIRVER}://{MYSQL_NAME}:{MYSQL_PWD}@{MYSQL_HOST}:{MYSQL_PORT}/{MYSQL_DB}?charset={MYSQL_CHARSET}"
    #Flask-SQLAlchemy 将会追踪对象的修改并且发送信号。
    SQLALCHEMY_TRACK_MODIFICATIONS=True

    SECRET_KEY=os.urandom(24)


class DevelopmentConfig(Config):
    #开启debug
    DEBUG=True

class ProductionConfig(Config):
    pass

config_map={
    'develop':DevelopmentConfig,
    'product':ProductionConfig
}