from flask import Flask,app
from flask_sqlalchemy import SQLAlchemy
from config import config_map
# app中已经配置好数据库的参数，但是没有放入db=SQLAlchemy(),db对象会导致不知道连接哪一个数据库

db=SQLAlchemy()
def create_app(config_name):
    app = Flask(__name__)
    # 根据传入的config_name的值，来获取config_map的值
    obj=config_map.get(config_name)
#用模块的名字.也可以在引用之后直接传入对象
    app.config.from_object(obj)
    db.init_app(app)
    # 将user蓝图导入并注册
    from flask_shop.user import user
    # 在app中注册蓝图
    app.register_blueprint(user)
    return  app

if __name__ == "__main__":
    app.run()