import re

import models
from flask_shop.user import user,user_api
from flask_shop import db
import models
from flask import request
from flask_restful import  Resource
@user.route('/')
def index():
    return 'user hello'

class User(Resource):
    def get(self):
        pass
    def post(self):
        name = request.form.get('name')
        pwd = request.form.get('pwd')
        real_pwd = request.form.get('pwd')
        nick_name=request.form.get('nick_name')
        phone = request.form.get('phone')
        email = request.form.get('email')
        # 验证数据正确性
        if not all([name,pwd,real_pwd]):
            return {'status': 10000,'msg': '数据不完整'}
        if len(name)<2:
            return {'status': 10011,'msg': '数据不合法'}
        if len(pwd)<2:
            return {'status': 10012,'msg': '密码不合法'}
        if pwd != real_pwd:
            return {'status': 10013,'msg': '两次密码不一致'}
        if not re.match(r'1[345678]\d{9}',phone):
            return {'status': 10014,'msg': '手机不合法'}
        if not re.match(r'^\w+((-\w+)|(\.\w+))*\@[A-Za-z0-9]+((\.|-)[A-Za-z0-9]+)*\.[A-Za-z0-9]+$',email):
            return {'status':10015,'msg':"邮箱不合法"}
        try:
            usr=models.User(name=name,password=pwd,phone=phone,nick_name=nick_name,email=email)
            print('1')
            db.session.add(usr)
            print('2')
            db.session.commit()
            print('3')
        except Exception:
            print('4')
            return {'status':2000000,'msg':'异常错误'}
user_api.add_resource(User,'/user')


@user.route('/login',methods=['POST'])
def login():
    name=request.form.get('name')
    pwd=request.form.get('pwd')
    if not all([name,pwd]):
        return  {'status':1000,'msg':"数据信息不完整"}
    # 检验用户名
    if len(name)>1:
        # 从数据库查询是否有用户名
        usr=models.User.query.filter_by(name=name).first()
        # 如果user存在，查询密码是否正确
        if usr:
            if usr.check_password(pwd):
                return {"status":200,"msg":"登陆功能"}
    return {'status':1000,'msg':"用户名或密码错误"}
