'''
数据库ORM模型

'''

from datetime import datetime

from flask_shop import db
from werkzeug.security import generate_password_hash,check_password_hash
class BaseModel:
    create_time=db.Column(db.DateTime,default=datetime.now)
    # onupdate  更新时间
    update_time=db.Column(db.DateTime,default=datetime.now(),onupdate=datetime.now())
class User(db.Model,BaseModel):
    # 表名
    __tablename__='t_user'
    id=db.Column(db.Integer,primary_key=True,autoincrement=True)
    name=db.Column(db.String(30),unique=True,nullable=True)
    pwd=db.Column(db.String(128))
    nick_name=db.Column(db.String(32))
    phone=db.Column(db.String(11))
    email=db.Column(db.String(32))
    @property
    def password(self):
        return pwd

    @password.getter
    def password(self,t_pwd):
        self.pwd=generate_password_hash(t_pwd)

    def check_password(self,t_pwd):
        return check_password_hash(self.pwd,t_pwd)